TextBlockData Class Reference

Help class used for parentheses matching (code taken from Qt Quarterly Issue 31 · Q3 2009) More...

`#include <ScriptEdit.h>`

Inheritance diagram for TextBlockData:

## Public Member Functions

void | insert (ParenthesisInfo *info)
QVector< ParenthesisInfo * > | parentheses ()
| TextBlockData ()

## Private Attributes

QVector< ParenthesisInfo * > | m_parentheses

## Detailed Description

Help class used for parentheses matching (code taken from Qt Quarterly Issue 31 · Q3 2009)

## Constructor & Destructor Documentation

## TextBlockData()

TextBlockData::TextBlockData | ( |  | ) |

inline

## Member Function Documentation

## insert()

void TextBlockData::insert | ( | ParenthesisInfo * | info | ) |

inline

References ParenthesisInfo::position.

Referenced by SyntaxHighlighter::highlightBlock().

## parentheses()

QVector<ParenthesisInfo *> TextBlockData::parentheses | ( |  | ) |

inline

Referenced by ScriptEdit::matchLeftParenthesis(), ScriptEdit::matchParentheses(), and ScriptEdit::matchRightParenthesis().

## Member Data Documentation

## m_parentheses

QVector<ParenthesisInfo *> TextBlockData::m_parentheses

private

The documentation for this class was generated from the following file:

- qtiplot/src/scripting/ScriptEdit.h